Package com.independentsoft.office.word.footnoteEndnote

# Enum Class FootnotePositioningLocation

java.lang.Object
java.lang.Enum<FootnotePositioningLocation>
com.independentsoft.office.word.footnoteEndnote.FootnotePositioningLocation

All Implemented Interfaces:
  `Serializable`, `Comparable<FootnotePositioningLocation>`, `Constable`

public enum FootnotePositioningLocation extends Enum<FootnotePositioningLocation>
The Enum FootnotePositioningLocation.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BENEATH_TEXT`
  `END_OF_DOCUMENT`
  `END_OF_SECTION`
  `NONE`
  `PAGE_BOTTOM`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FootnotePositioningLocation`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static FootnotePositioningLocation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BENEATH_TEXT

    public static final FootnotePositioningLocation BENEATH_TEXT

  - ### END_OF_DOCUMENT

    public static final FootnotePositioningLocation END_OF_DOCUMENT

  - ### PAGE_BOTTOM

    public static final FootnotePositioningLocation PAGE_BOTTOM

  - ### END_OF_SECTION

    public static final FootnotePositioningLocation END_OF_SECTION

  - ### NONE

    public static final FootnotePositioningLocation NONE

- ## Method Details

  - ### values

    public static FootnotePositioningLocation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static FootnotePositioningLocation valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null